%define  patch_name kernel-feat-fs-ntfs

Name: %patch_name
Version: 2.1.6b
Release: alt3
Summary: %patch_name kernel patch - ntfs filesystem patch
License: GPL
Group: Development/Kernel
URL: http://sourceforge.net/projects/linux-ntfs
BuildArch: noarch
Packager: Kernel Maintainers Team <kernel@packages.altlinux.org>

BuildRequires: kernel-build-tools >= 0.6-alt1

%source  0 00_linux-2.4.28-ntfs-revert.patch
%source  1 01_export-__mark_dirty.patch		01_not_kernel-feat-fs-reiserfs
%source 10 10_linux-2.4.26-ntfs-2.1.6b-alt.patch
%source 11 11_gcc3.4-fix.patch

%description
NTFS filesystem support patch

%install
%install_patches

%files
%_usrsrc/*

%changelog
* Sun Dec 25 2005 Sergey Vlasov <vsu@altlinux.ru> 2.1.6b-alt3
- Updated for kernel 2.4.32.
- Added patches:
  + 11_gcc3.4-fix.patch: fix compilation with gcc 3.4 (#6123).

* Sat Dec 25 2004 Sergey Vlasov <vsu@altlinux.ru> 2.1.6b-alt2
- Updated for kernel 2.4.28.
- Added patches:
  + 00_linux-2.4.28-ntfs-revert.patch: revert NTFS to the 2.4.27 state before
    applying the NTFSv2 patch.

* Thu May 06 2004 Sergey Vlasov <vsu@altlinux.ru> 2.1.6b-alt1
- Update to version 2.1.6b for 2.4.26 kernel.
- Dropped obsolete compatibility patch.

* Fri Feb 27 2004 Sergey Vlasov <vsu@altlinux.ru> 2.1.6a-alt2
- Modified to avoid conflicts with kernel-feat-fs-reiserfs:
  - edited main patch to avoid conflict with reiserfs patches in
    kernel/ksyms.c
  - moved EXPORT_SYMBOL(__mark_dirty) to a separate patch which is applied only
    when kernel-feat-fs-reiserfs is not applied

* Mon Feb 23 2004 Sergey Vlasov <vsu@altlinux.ru> 2.1.6a-alt1
- Update to version 2.1.6a for 2.4.24 kernel.
- Added patch to revert NTFS changes in 2.4.25 to the state in 2.4.24 before
  applying the NTFSv2 patch for 2.4.24 (the modified files are removed by the
  NTFSv2 patch).
- Use macros from kernel-build-tools.

* Thu Sep 18 2003 Albert R. Valiev <darkstar@altlinux.ru> 2.1.4c-alt1
- Update to version 2.1.4c for 2.4.22 kernel

* Tue Jun 17 2003 Albert R. Valiev <darkstar@altlinux.ru> 2.1.4a-alt1
- Initial build
